Skip to content
Market Data

Get Option Chain Expiration Date List

Query the list of available expiration dates for an underlying's option chain and the strike price list for the default expiration; used to render the expiration-date tabs on the option chain page.

GEThttps://api.lbkrs.com/v4/gemini/optionchain-date-list

Parameters

underlying_counter_idstringqueryRequired

Underlying stock counter_id

expire_datestringqueryOptional

Expiration date in format YYYYMMDD; if specified returns the strike list for that expiration, if omitted returns the data for the nearest expiration (i.e., default_expire_date)

standard_attrstringqueryOptional

Standard attribute:

  • S - Standard option
  • N - Non-standard option (adjusted options generated after corporate actions such as stock splits/mergers; Broker App labels as Old; some multi-leg strategy orders and position adjustments may exclude N); used together with expire_date

Responses

HTTP 200The request succeeded. The response body contains the result of the “Get option chain expiration date list” operation.
Standard response envelopecodemessagedata
dataobjectdata structure
expire_date_listarray<object>

List of available expiration dates

Child attributes
expire_datestring

Expiration date, format YYYYMMDD

typestring

Expiration date type:

  • W - Weekly option
  • Q - Quarterly option
standard_attrstring

Standard attribute:

  • S - Standard option
  • N - Non-standard option (adjusted options generated after corporate actions such as stock splits/mergers; Broker App labels as Old; some multi-leg strategy order flows and position adjustments may exclude N)
support_extendinteger

Supports extended sessions (pre-market/after-hours/night) quotes:

  • 1 - Supported
  • 0 - Not supported
default_expire_dateobject

Option expiration information

Child attributes
expire_datestring

Expiration date, format YYYYMMDD

typestring

Expiration date type:

  • W - Weekly option
  • Q - Quarterly option
standard_attrstring

Standard attribute:

  • S - Standard option
  • N - Non-standard option (adjusted options generated after corporate actions such as stock splits/mergers; Broker App labels as Old; some multi-leg strategy order flows and position adjustments may exclude N)
support_extendinteger

Supports extended sessions (pre-market/after-hours/night) quotes:

  • 1 - Supported
  • 0 - Not supported
strike_pricearray<object>

Strike list for the default (or specified) expiration date

Child attributes
pricestring

Strike price

call_counter_idstring

Call option contract id

put_counter_idstring

Put option contract id

standard_attrstring

Standard attribute:

  • S - Standard option
  • N - Non-standard option (adjusted options generated after corporate actions such as stock splits/mergers; Broker App labels as Old; some multi-leg strategy order flows and position adjustments may exclude N)
call_support_extendinteger

Call contract supports extended sessions (pre-market/after-hours/night) quotes:

  • 1 - Supported
  • 0 - Not supported
put_support_extendinteger

Put contract supports extended sessions (pre-market/after-hours/night) quotes:

  • 1 - Supported
  • 0 - Not supported
Whale Docs